# Placeholders

<table data-full-width="true"><thead><tr><th>Placeholder (%placeholder%)</th><th>Description</th></tr></thead><tbody><tr><td><code>voting_player_total</code></td><td>Players total votes on the server (lifetime)</td></tr><tr><td><code>voting_player_month</code></td><td>Players votes on the server for this month</td></tr><tr><td><code>voting_player_last</code></td><td>Players last vote time (ago)</td></tr><tr><td><code>voting_server_total</code></td><td>Server wide total vote count</td></tr><tr><td><code>voting_server_month</code></td><td>Server wide total vote count for current month</td></tr><tr><td><code>voting_server_month-end</code></td><td>The timestamp of the "end date" for the current month</td></tr><tr><td><code>voting_leaderboard_total_POSITION_value</code></td><td>Get the current leaderboard value for given position (all-time)</td></tr><tr><td><code>voting_leaderboard_total_POSITION_name</code></td><td>Get the current leaderboard name for given position (all-time)</td></tr><tr><td><code>voting_leaderboard_month_POSITION_value</code></td><td>Get the current leaderboard value for given position (month)</td></tr><tr><td><code>voting_leaderboard_month_POSITION_name</code></td><td>Get the current leaderboard name for given position (month)</td></tr><tr><td><code>voting_leaderboard_update</code></td><td>Get the time until leaderboard update</td></tr></tbody></table>

`POSITION` - This value indicates the leaderboard position you want to list. The value should be between `1 - N` where `N` is the total number of players scoring in this leaderboard. If no value is present or the position has no player in it, it will return a configurable empty placeholder.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.supremeventures.ca/premium-plugins/voting-15.00/placeholders.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
